Integrations
Refresh repositories or channels
Reloads GitHub repositories or Slack channels from the provider, then returns the same result as listing integrations. Use it after giving the GitHub App access to a new repository or creating a Slack channel.
POST
/
integrations
/
refresh
Refresh repositories or channels
curl --request POST \
--url https://superlog.sh/api/v1/integrations/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://superlog.sh/api/v1/integrations/refresh"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://superlog.sh/api/v1/integrations/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integrations": [
{
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>"
}
],
"repositories": [
{
"defaultBranch": "<string>",
"fullName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"private": true
}
],
"resources": [
{
"displayName": "<string>",
"externalId": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}Authorizations
A workspace API key, created in Superlog under Settings → API keys.
Body
application/json
The provider to reload.
Available options:
github, slack ⌘I
Refresh repositories or channels
